PROGRAM demo ;

{-----------------------------------------------------------------------------}
{ Dies ist eine Demostration, wie die Sequenzen von SYNTHI.PRG in eigene      }
{ Programme eingebaut werden knnen. Dazu folgende Hinweise :                 }
{                                                                             }
{ 1. bernehmen sie die TYPE's und VAR's in Ihr Programm                      }
{ 2. bernehmen Sie die Procedure DO_SOUND, LOAD_SOUND und SOUND_EIN in Ihr   }
{    Programm !                                                               }
{ 3. Rufen Sie LOAD_SOUND zu Beginn Ihres Programms auf, dann wird das        }
{    Soundfile nahezu unbemerkt mitgeladen !                                  }
{ 4. Sorgen Sie dafr, da whrend der Soundabarbeitung KEINE Tastatureingabe }
{    (oder OHNE Tastaturklick) erfolgt, denn jedes 'Gerusch' des TOS         }
{    bricht Ihren Sound erbarmungslos ab !                                    }
{ 5. Verwenden Sie SOUND_EIN an der Stelle, an der der Sound beginnen soll.   }
{    Sie haben danach SOFORT wieder die Kontrolle ber Ihr Programm, wobei    }
{    der Sound bis zum Ende der Sequenz parallel zur Programmabarbeitung      }
{    gespielt wird.                                                           }
{                                                                             }
{ Bei Problemen, Fragen oder Anregungen schreiben Sie doch einfach an mich !! }
{ Autor: Thomas Proffen, Tulpenweg 4, 5308 RHEINBACH                          }
{                                                                             }
{ (c) WURMSOFTWARE 1987                                                       }
{-----------------------------------------------------------------------------}

TYPE
 ton_type                  = PACKED ARRAY [0..10000] OF char ;
 ton_file_type             = FILE OF char ;

VAR
 ton                       : ton_type ;
 ton_file                  : ton_file_type ;

 {-- NUR fr das Demoprogramm !! --}

 lauf                      : long_integer ;


PROCEDURE Do_Sound (VAR ton : ton_type) ; XBIOS (32) ;


PROCEDURE Sound_Ein (VAR feld : ton_type) ;

 BEGIN
  Do_Sound (feld) ;
 END ;

PROCEDURE Load_Sound (name : string) ;

 VAR index                 : integer ;

 BEGIN
  index := 0 ;
  RESET (ton_file, name) ;
  WHILE NOT EOF (ton_file) DO
   BEGIN
    ton[index] := ton_file^ ;
    GET (ton_file) ;
    index := index + 1 ;
   END ;
 END ;

{----------------------------   Hauptprogramm   ------------------------------}

BEGIN
 Load_Sound ('DEMO.SEQ') ;

 writeln ('               **    Demoprogramm zur Soundverarbeitung    **') ;
 writeln ; writeln ;

 Sound_Ein (ton) ;

 REPEAT
  write (CHR(27),'Y',CHR(45),CHR(55),' Das kann ich nebenbei : ', lauf) ;
  lauf := lauf + 1 ;
 UNTIL lauf = 500 ;

END.
